Package com.emc.documentum.rest.http.parameter

# Class QueryParamNames

java.lang.Object
com.emc.documentum.rest.http.parameter.QueryParamNames

public class QueryParamNames extends Object
Query parameter names

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTRIBUTE_VIEW`
  Attribute view parameter name
  `static final String`
  `CHECK_SUBSCRIPTION`
  sysobject represent subscription check
  `static final String`
  `CHECKIN_VERSION_POLICY`
  Check-in version policy
  `static final String`
  `DELETE_VERSION_POLICY`
  Delete options for multi-version document object
  `static final String`
  `DML_VIEW`
  DML view parameter name
  `static final String`
  `FILTER`
  Filter parameter name
  `static final String`
  `FORCE`
  whether force to execute the operations
  `static final String`
  `INCLUDE_PERMISSION`
  Include permission option
  `static final String`
  `INCLUDING_DOMAINS`
  repository represent including domains
  `static final String`
  `INCLUDING_VALUE_ASSIST`
  type represent including value assist definition
  `static final String`
  `INLINE`
  Inline parameter name
  `static final String`
  `LINKS`
  Links parameter name
  `static final String`
  `LOCALE`
  Locale
  `static final String`
  `MEDIA_URL_POLICY`
  Specify the content media URL return policy
  `static final String`
  `NETWORK_LOCATION`
  Specify the network location identifier for BOCS content download, this is used only when content-return-policy=DC-PREF or DC-ONLY
  `static final String`
  `PAGINATION_INCLUDE_TOTAL`
  Include total parameter name
  `static final String`
  `PAGINATION_ITEMS_PER_PAGE`
  Items per page parameter name
  `static final String`
  `PAGINATION_PAGE`
  Page number parameter name
  `static final String`
  `PARAM_SUCCESS_URL`
  redirect url after success SSO login
  `static final String`
  `POLICYID`
  lifecycle policyId
  `static final String`
  `QUERY_TYPE`
  Query type pa
  `static final String`
  `RECURSIVE`
  Used when user-name or group-name is present.
  `static final String`
  `RELATED_OBJECT_ID`
  Indicate to return a list of relation instances where the specified object ID is related
  `static final String`
  `RELATED_OBJECT_ROLE`
  Indicate that the specified related-object-id should be child, parent or any; It works only when related-object-id is specified;
  `static final String`
  `RELATION_NAME`
  Indicate to return a list of relation instances of the specified relation name; Please note: relation name is case sensitive in Content Server
  `static final String`
  `REQUIRE_IP_BASED_NETWORK_LOCATION`
  Specify the network location identifier for BOCS content download need to be found based on client ip address, this is used only when content-return-policy=DC-PREF or DC-ONLY.
  `static final String`
  `SORT`
  Sort specification
  `static final String`
  `STATE`
  lifecycle state

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `QueryParamNames()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DELETE_VERSION_POLICY

    public static final String DELETE_VERSION_POLICY
    Delete options for multi-version document object
    See Also:
      - Constant Field Values

  - ### QUERY_TYPE

    public static final String QUERY_TYPE
    Query type pa
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_VIEW

    public static final String ATTRIBUTE_VIEW
    Attribute view parameter name
    See Also:
      - Constant Field Values

  - ### INCLUDE_PERMISSION

    public static final String INCLUDE_PERMISSION
    Include permission option
    See Also:
      - Constant Field Values

  - ### CHECKIN_VERSION_POLICY

    public static final String CHECKIN_VERSION_POLICY
    Check-in version policy
    See Also:
      - Constant Field Values

  - ### PAGINATION_PAGE

    public static final String PAGINATION_PAGE
    Page number parameter name
    See Also:
      - Constant Field Values

  - ### PAGINATION_ITEMS_PER_PAGE

    public static final String PAGINATION_ITEMS_PER_PAGE
    Items per page parameter name
    See Also:
      - Constant Field Values

  - ### PAGINATION_INCLUDE_TOTAL

    public static final String PAGINATION_INCLUDE_TOTAL
    Include total parameter name
    See Also:
      - Constant Field Values

  - ### FILTER

    public static final String FILTER
    Filter parameter name
    See Also:
      - Constant Field Values

  - ### DML_VIEW

    public static final String DML_VIEW
    DML view parameter name
    See Also:
      - Constant Field Values

  - ### INLINE

    public static final String INLINE
    Inline parameter name
    See Also:
      - Constant Field Values

  - ### LINKS

    public static final String LINKS
    Links parameter name
    See Also:
      - Constant Field Values

  - ### RECURSIVE

    public static final String RECURSIVE
    Used when user-name or group-name is present. True means all groups and their parent groups will be returned. Otherwise, only groups which directly contain the user/subgroup will be returned.
    See Also:
      - Constant Field Values

  - ### LOCALE

    public static final String LOCALE
    Locale
    See Also:
      - Constant Field Values

  - ### SORT

    public static final String SORT
    Sort specification
    See Also:
      - Constant Field Values

  - ### RELATED_OBJECT_ID

    public static final String RELATED_OBJECT_ID
    Indicate to return a list of relation instances where the specified object ID is related
    See Also:
      - Constant Field Values

  - ### RELATION_NAME

    public static final String RELATION_NAME
    Indicate to return a list of relation instances of the specified relation name; Please note: relation name is case sensitive in Content Server
    See Also:
      - Constant Field Values

  - ### RELATED_OBJECT_ROLE

    public static final String RELATED_OBJECT_ROLE
    Indicate that the specified related-object-id should be child, parent or any; It works only when related-object-id is specified;
    See Also:
      - Constant Field Values

  - ### MEDIA_URL_POLICY

    public static final String MEDIA_URL_POLICY
    Specify the content media URL return policy
    See Also:
      - Constant Field Values

  - ### NETWORK_LOCATION

    public static final String NETWORK_LOCATION
    Specify the network location identifier for BOCS content download, this is used only when content-return-policy=DC-PREF or DC-ONLY
    See Also:
      - Constant Field Values

  - ### REQUIRE_IP_BASED_NETWORK_LOCATION

    public static final String REQUIRE_IP_BASED_NETWORK_LOCATION
    Specify the network location identifier for BOCS content download need to be found based on client ip address, this is used only when content-return-policy=DC-PREF or DC-ONLY.
    See Also:
      - Constant Field Values

  - ### FORCE

    public static final String FORCE
    whether force to execute the operations
    See Also:
      - Constant Field Values

  - ### POLICYID

    public static final String POLICYID
    lifecycle policyId
    See Also:
      - Constant Field Values

  - ### STATE

    public static final String STATE
    lifecycle state
    See Also:
      - Constant Field Values

  - ### INCLUDING_VALUE_ASSIST

    public static final String INCLUDING_VALUE_ASSIST
    type represent including value assist definition
    See Also:
      - Constant Field Values

  - ### INCLUDING_DOMAINS

    public static final String INCLUDING_DOMAINS
    repository represent including domains
    See Also:
      - Constant Field Values

  - ### PARAM_SUCCESS_URL

    public static final String PARAM_SUCCESS_URL
    redirect url after success SSO login
    See Also:
      - Constant Field Values

  - ### CHECK_SUBSCRIPTION

    public static final String CHECK_SUBSCRIPTION
    sysobject represent subscription check
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### QueryParamNames

    protected QueryParamNames()